//
// C++ Interface: keyboardview
//
// Description: 
//
//
// Author: Predrag Viceic <viceic@net2000.ch>, (C) 2005
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KEYBOARDVIEW_H
#define KEYBOARDVIEW_H

#include <qcanvas.h>
#include <qpainter.h>
#include "pics/icons.h"
#include "defs.h"


/**
@author Predrag Viceic
*/
class KeyboardView : public QCanvasRectangle
{
public:
    KeyboardView(QCanvas* canvas);

    ~KeyboardView();
    void setY(double y);
    void setX(double x);
    int rtti() const;
    void drawOctave(QPainter & p, QPoint po);

protected:
    int rectheight;
    int rectwidth;
protected:
    void drawShape(QPainter & p);

};

#endif
